Bug 174542 - [PATCH] devel/p5-Sys-Virt: update to 1.0.0
Summary: [PATCH] devel/p5-Sys-Virt: update to 1.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-18 14:20 UTC by Po-Chien Lin
Modified: 2012-12-30 23:40 UTC (History)
1 user (show)

See Also:


Attachments
p5-Sys-Virt-1.0.0.patch (949 bytes, patch)
2012-12-18 14:20 UTC, Po-Chien Lin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Po-Chien Lin 2012-12-18 14:20:00 UTC
- Update to 1.0.0
Comment 1 Edwin Groothuis freebsd_committer 2012-12-18 14:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-12-18 14:20:09 UTC
Maintainer of devel/p5-Sys-Virt,

Please note that PR ports/174542 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/174542

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-12-18 14:20:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Frank Wall 2012-12-28 13:18:22 UTC
18.12.2012 14:20, Edwin Groothuis wrote:
> Maintainer of devel/p5-Sys-Virt,
> Please note that PR ports/174542 has just been submitted.

Well, LIB_DEPENDS should also be updated to match the current version 
of devel/libvirt.



Regards
- Frank
Comment 5 Po-Chien Lin 2012-12-29 01:50:01 UTC
1000 isn't the current SHLIB_VER version of devel/libvirt?
Or if there is anything else I should notice?

Thanks, Sincerely,
linpc

On Fri, Dec 28, 2012 at 02:18:22PM +0100, Frank Wall wrote:
> 18.12.2012 14:20, Edwin Groothuis wrote:
> >Maintainer of devel/p5-Sys-Virt,
> >Please note that PR ports/174542 has just been submitted.
> 
> Well, LIB_DEPENDS should also be updated to match the current
> version of devel/libvirt.
> 
> 
> 
> Regards
> - Frank
Comment 6 Frank Wall 2012-12-29 05:19:52 UTC
18.12.2012 14:20, Edwin Groothuis wrote:
> Maintainer of devel/p5-Sys-Virt,
> Please note that PR ports/174542 has just been submitted.

Go ahead, please commit!
(I wasn't aware that LIB_DEPENDS is already set to the current version 
of devel/libvirt.)



Thanks
- Frank
Comment 7 Jason Helfman freebsd_committer 2012-12-30 08:45:55 UTC
Responsible Changed
From-To: perl->jgh

I'll take it.
Comment 8 Jason Helfman freebsd_committer 2012-12-30 23:19:25 UTC
State Changed
From-To: feedback->open

maintainer approved
Comment 9 dfilter service freebsd_committer 2012-12-30 23:34:43 UTC
Author: jgh
Date: Sun Dec 30 23:34:35 2012
New Revision: 309702
URL: http://svnweb.freebsd.org/changeset/ports/309702

Log:
  - update to 1.0.0
   - Add all new APIs and constants in libvirt 1.0.0
   - Fix inconsistent usage of 'uri' in Sys::Virt POD docs
   - Fix typos in POD docs
   - Don't explicitly set VIR_TYPED_PARAM_STRING_OKAY flag
   - Fix hash key field lengths
   - Add tests for object list APIs
   - Fix default values for flags parameters
   - Fix setting of node memory parameters
  
  PR:		174542
  Submitted by:	linpc@cs.nctu.edu.tw
  Approved by:	maintainer, fw@moov.de

Modified:
  head/devel/p5-Sys-Virt/Makefile
  head/devel/p5-Sys-Virt/distinfo

Modified: head/devel/p5-Sys-Virt/Makefile
==============================================================================
--- head/devel/p5-Sys-Virt/Makefile	Sun Dec 30 23:16:21 2012	(r309701)
+++ head/devel/p5-Sys-Virt/Makefile	Sun Dec 30 23:34:35 2012	(r309702)
@@ -1,10 +1,8 @@
 # Created by:	Frank Wall <fw@moov.de>
-#
 # $FreeBSD$
 
 PORTNAME=	Sys-Virt
-PORTVERSION=	0.10.2
-PORTREVISION=	1
+PORTVERSION=	1.0.0
 CATEGORIES=	devel perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-

Modified: head/devel/p5-Sys-Virt/distinfo
==============================================================================
--- head/devel/p5-Sys-Virt/distinfo	Sun Dec 30 23:16:21 2012	(r309701)
+++ head/devel/p5-Sys-Virt/distinfo	Sun Dec 30 23:34:35 2012	(r309702)
@@ -1,2 +1,2 @@
-SHA256 (Sys-Virt-0.10.2.tar.gz) = 42ef1c81e52e1c4ed4b2fff46011536736b669ff8019c9a91bd10145c2f48b0a
-SIZE (Sys-Virt-0.10.2.tar.gz) = 87154
+SHA256 (Sys-Virt-1.0.0.tar.gz) = 120422a43e481e47e4ceeaa4388d03417033a92b35b84723b7f874e37339b907
+SIZE (Sys-Virt-1.0.0.tar.gz) = 88553
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 Jason Helfman freebsd_committer 2012-12-30 23:34:55 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!